var coordXactual
var coordYactual
var resultat


// accedir a les dades GPS
function recuperarPosicio(){
	if (navigator.geolocation){			
			resultat = navigator.geolocation.getCurrentPosition(onSuccess, onError,{
	        enableHighAccuracy: true,
	        maximumAge: 50000,
	        timeout:10000
			})

	}else {
		alert("No ni ha connexi amb dispositiu GPS")
		return false
	}
}

// accions si hi ha resultat
var onSuccess = function(position) {	
    coordXactual=position.coords.longitude
    coordYactual=position.coords.latitude    
};

// accions en cas d'error
function onError(error){
	switch(error.code) 	{
		case error.TIMEOUT:
			navigator.geolocation.getCurrentPosition(onSuccess, onError)			
			break
		case error.POSITION_UNAVAILABLE:
			//alert ('Posici no disponible')
			break
		case error.PERMISSION_DENIED:
			alert ('Sense permisos')
			break
		case error.UNKNOWN_ERROR:
			alert('code: '    + error.code    + '\n' +
			      'message: ' + error.message + '\n')
			break
	}	
}


// avis de connexi de GPS
function connectarGPS() {
	if (!navigator.geolocation){	
		alert("Connectar GPS per iniciar operativa")
	}
	return true	
}

function pararGPS(){	
		//alert("GPS aturat")
		return true
}

